<?php
if ((isset($_GET['q']) && !empty($_GET['q']) && is_numeric($_GET['q'])) && (isset($_GET['p']) && !empty($_GET['p']) && is_numeric($_GET['p'])))
{

$msg="";

if (file_exists("embedded/functions/site_functions.php"))
	{
	include_once("embedded/functions/site_functions.php");
	}
else
	{
include_once("../../embedded/functions/site_functions.php");
	}
	db_open();
$language=$_SESSION['language'];
if ($language==1)
	{
	$head0="Το σενάριο ";
	$head1="αποθηκεύθηκε";
	$head2="Επισκεφθείτε τον";
	$head3="Προγραμματισμό";
	$head4="για να προγραμματίσετε το σενάριο!";
	$head5="Ανανέωση Σεναρίου!";
	$head6="Καμία αλλαγή!";
	$problem="Σφάλμα βάσης δεδομένων!";
	$head7="Δεν δημιουργήθηκε νέο σενάριο";
	$head8="Τελική Σύνοψη:";
	}
else
	{
	$head0="Scenario ";
	$head1="saved";
	$head2="Visit";
	$head3="Schedule Scenario";
	$head4="in order to schedule scenario!";
	$head5="Scenario Updated!";
	$head6="No change!";
	$problem="Database Troubleshoot!";
	$head7="No new scenario!";
	$head8="Final Review:";
	}
$q= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET['q']))));
$p= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET['p']))));

if ($q==1 || $q==3)
	{
	$sql2="SELECT * FROM new_scenarios WHERE scenario_id='$p'";
	@ $resul = mysql_query($sql2);
	if ($resul!=0)
		{
		$result=mysql_fetch_array($resul);
		if ($q!=3)
			{
			$sql1="INSERT INTO scenarios(scenario_id,scenario_name,device_id,temp_status,temp_prior,temp1,temp2,temp_rule,hum_status,hum_prior,hum1,hum2,hum_rule,somo_status,somo_prior,somo_limit,somo_rule,inli_status,inli_prior,inli1,inli2,inli_rule,fan,lighting,watering) 
			VALUES(NULL,'$result[1]','$result[2]','$result[3]','$result[4]','$result[5]','$result[6]','$result[7]','$result[8]',$result[9],'$result[10]','$result[11]','$result[12]','$result[13]','$result[14]','$result[15]','$result[16]','$result[17]','$result[18]','$result[19]','$result[20]','$result[21]','$result[22]','$result[23]','$result[24]')";
			}
		else
			{
			$sql1="UPDATE scenarios SET temp_status='$result[3]',temp_prior='$result[4]',temp1='$result[5]',temp2='$result[6]',temp_rule='$result[7]',
			hum_status='$result[8]',hum_prior='$result[9]',hum1='$result[10]',hum2='$result[11]',hum_rule='$result[12]',
			somo_status='$result[13]',somo_prior='$result[14]',somo_limit='$result[15]',somo_rule='$result[16]',
			inli_status='$result[17]',inli_prior='$result[18]',inli1='$result[19]',inli2='$result[20]',inli_rule='$result[21]',fan='$result[22]',lighting='$result[23]',watering='$result[24]' WHERE scenario_name='$result[1]'";
			}
		}
	@ $a=mysql_query($sql1);
	if ($a==1)
		{
		if ($q==1)
			{
			$msg='<br /><span class="summary_title">'.$head0.'<span class="con"><i>'.ucfirst($result[1]).'</i></span> '.$head1.'! '.$head2.' <span class="con">"'.$head3.'"</span> '.$head4.'</span>';
			}
		else
			{
			$msg='<b>'.$head5.'</b>';		
			}
		}
	
	}
else if ($q==4)
	{
	$msg='<b>'.$head6.'</b>';
	}
	$sql4 = "DELETE FROM new_scenarios WHERE scenario_id='$p'";
	@ $r = mysql_query($sql4);
	if ($r==1)
		{
		if ($msg=="")
			{
			$msg='<br /><span class="summary_title">'.$head7.'</span>';
			}
		}
	else
		{
		$msg='<span class="summary_title"><br />'.$problem.'</span>';
		}
	
	

if ($q!=3 && $q!=4)
	{
echo<<<a
<div id="cp">
<span class="step">$head8</span>
<div id="summary">
$msg
</div>
</div>
a;
	}
else
	{
	echo $msg;
	}
db_close();
	}
?>